.Variable_Table_Main {
    /* border: 1px solid #E5EAEE; */
    background: #FFFFFF;
    /* border-radius: 4px; */
    margin-bottom: 36px;
    overflow: auto;
}

.Table_Main {
    display: flex;
    width: 100%;
    border-bottom: 1px solid #E5EAEE;
}

.Table_Main p {
    font-style: normal;
    font-size: 14px;
    line-height: 22px;
    color: #2D2D2D;
    margin: 0;
    padding: 10px;
}

.Table_Main p a {
    position: relative;
    z-index: 97;
}
.Table_Main .text-error{
    font-size: 12px;
    font-weight: 500;
}
.Table_Main .Text,
.Table_Main .Number,
.Table_Main .Formula,
.Table_Main .Amount,
.Table_Main .Date,
.Table_Main .Percentage,
.Table_Main .MCQ{
    padding: 5px;
}
.Table_Main a.fa-times,
.Table_Main a.fa-edit {
    right: 6px;
    position: absolute;
    top: 6px;
    padding: 12px 10px;
    background: white;
    height: 36px;
    width: 38px;
    border-radius: 5px;
}
.Table_Main a.fa-check {
    right: 44px;
    position: absolute;
    top: 6px;
    padding: 12px 10px;
    background: white;
    height: 36px;
    width: 38px;
    border-radius: 5px;
}
.Table_Main .Number p,
.Table_Main .Text p,
.Table_Main .Amount p,
.Table_Main .Date p,
.Table_Main .Percentage p,
.Table_Main .MCQ p,
.Table_Main .Formula p {
    font-weight: 400;
    font-size: 16px;
    color: #6c757d;
    min-height: 38px;
    align-items: center;
    padding: 8px;
    /* border: 2px solid #0b7bff; */
    /* margin: -1px; */
}

.Table_Main .Row_Heading p,
.Table_Main .Column_Heading p {
    /* border: 1px solid #E5EAEE; */
    font-weight: 600;
}

.Table_Main .no-cell {
    min-width: 40px;
    overflow: hidden;
    display: flex;
    align-items: center;
    padding: 8px 10px;
    text-align: center;
    border: 1px solid #dee2e6;
}

.Table_Main .default-cell {
    position: relative;
    width: 100%;
    border: 1px solid #dee2e6;
    min-width: 300px;
    min-height: 40px;
}
.Table_Main .default-cell p{
    height: calc(100% - 10px);
}
.Table_Main .default-cell.success-cell .Text input, 
.Table_Main .default-cell.success-cell .Number input, 
.Table_Main .default-cell.success-cell .Formula input, 
.Table_Main .default-cell.success-cell .Amount input, 
.Table_Main .default-cell.success-cell .Date input, 
.Table_Main .default-cell.success-cell .Percentage input, 
.Table_Main .default-cell.success-cell .MCQ input,
.Table_Main .default-cell.success-cell .MCQ p{
    border-radius: 4px;
    border: 1px solid var(--Success-Green-600---039855, #039855);
    background: var(--Success-Green-50---ECFDF3, #ECFDF3);
    color: var(--Error-Red-700---B42318, #039855);
    text-overflow: ellipsis;
    font-family: Inter;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px;
    padding-block: 8px;
}

.Table_Main .default-cell.failure-cell .Text input, 
.Table_Main .default-cell.failure-cell .Number input, 
.Table_Main .default-cell.failure-cell .Formula input, 
.Table_Main .default-cell.failure-cell .Amount input, 
.Table_Main .default-cell.failure-cell .Date input, 
.Table_Main .default-cell.failure-cell .Percentage input, 
.Table_Main .default-cell.failure-cell .MCQ input,
.Table_Main .default-cell.failure-cell .MCQ p{
    border-radius: 4px;
    border: 1px solid var(--Error-Red-700---B42318, #B42318);
    background: var(--Error-Red-50---FEF3F2, #FEF3F2);
    color: var(--Error-Red-700---B42318, #B42318);
    text-overflow: ellipsis;
    font-family: Inter;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px;
    padding-block: 8px;
}

.Table_Main .cell-value {
    cursor: pointer;
    width: 100%;
    height: 100%;
}

.Table_Main .cell-dropdown {
    position: absolute;
    display: block;
    background: white;
    z-index: 1;
    box-shadow: 0px 0px 10px 5px rgb(82 63 105 / 5%);
    left: 5px;
    top: 5px;
    border: 1px solid #dee2e6;
}

.Table_Main .cell-dropdown .cell-dropdown-item {
    display: block;
    padding: 7px 10px;
    border-bottom: 1px solid rgb(193 193 193 / 20%);
    color: #464357;
}

.Table_Main .dropdown button {
    width: 100%;
    border: none;
    text-align: left;
    padding: 0;
}
.Table_Main .dropdown button:hover {
    box-shadow: none;
}
/* .Table_Main .dropdown button::after{
    display: none;
} */
.Adjustment_Debit.B_color {
    border: 1px solid #0B7BFF;
}
.Adjustment.B_color{
    border: 1px solid #0B7BFF;
}

.Edit_Icon::before {
    content: '' !important;
    background-image: url(../images/pre_emp_edit.svg);
    width: 22px;
    height: 22px;
    display: inline-block;
}

.Erase_Icon::before {
    content: '' !important;
    background-image: url(../images/pre_emp_delete.svg);
    width: 22px;
    height: 22px;
    display: inline-block;
}

.Save_Icon::before {
    content: '' !important;
    background-image: url(../images/pre_emp_check.svg);
    width: 22px;
    height: 22px;
    display: inline-block;
}

.Table_Main a.Edit_Icon, .Table_Main a.Erase_Icon, .Table_Main a.Save_Icon {
    padding: 7px 7px;
}

.default-cell button.close {
    border: none;
    background-color: transparent;
}

.default-cell button.close span {
    font-size: 18px;
    color: #626F80;
}

h5.mcq_selection_title {
    font-size: 20px;
    margin: 0;
}